A loyalty point type represents the different types of points that can be earned within a loyalty program. Members can accumulate points of various types based on their activities and transactions.
Creates or updates a loyalty point type in the system. This will create the loyalty point type in Movio if it does not exist. If the loyalty point type exists, then it will be one to one replaced with the new data.
When creating a new loyalty point type, do not run this operation concurrently with
PUT /members as this may lead to inconsistencies in member loyalty point balances.
The response to a bulk request that succeeded.
The response to a bulk request that failed.
The request has not been applied because it lacks valid authentication credentials for the target resource.
The request was well-formed but was unable to be followed due to semantic errors.
[- {
- "loyalty_point_type_id": "LP1",
- "name": "Standard Points"
}
]{- "total": 3,
- "created_count": 2,
- "updated_count": 1
}Deletes a loyalty point type from the system. This effectively removes the loyalty point type from Movio. Useful when a loyalty point type is no longer available. Movio will keep the loyalty point type in the system for historical purposes.
The loyalty point type was deleted successfully.
The request could not be understood by the server due to malformed syntax.
The request has not been applied because it lacks valid authentication credentials for the target resource.
The request was well-formed but was unable to be followed due to semantic errors.
The request could not be understood by the server due to malformed syntax. The client should not repeat the request without modifications.